#pragma once

class CTestSoundsDlg : public CDialog
{
public:
//Constructors / Destructors
  CTestSoundsDlg(_In_opt_ CWnd* pParent = nullptr);
  CTestSoundsDlg(const CTestSoundsDlg&) = delete;
  CTestSoundsDlg(CTestSoundsDlg&&) = delete;
  ~CTestSoundsDlg() = default; //NOLINT(modernize-use-override)

//Methods
  CTestSoundsDlg& operator=(const CTestSoundsDlg&) = delete;
  CTestSoundsDlg& operator=(CTestSoundsDlg&&) = delete;

protected:
//Member variables
  enum { IDD = IDD_TESTSOUNDS_DIALOG };
  HICON m_hIcon;

//Methods
  BOOL OnInitDialog() override;

//Message handlers
  afx_msg void OnPaint();
  afx_msg HCURSOR OnQueryDragIcon();
  afx_msg void OnBnClickedPlaystartup();
  afx_msg void OnBnClickedPlayshutdown();

  DECLARE_MESSAGE_MAP()
};
